<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: javier.barajas
  
Consulta Reportes de Auditoria

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Consulta Reportes de Auditoria::.
    </ui:define>

    <ui:define name="content">

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <p:messages id="msgsConsultaReportesAuditoria" showDetail="false"
                    globalOnly="false" />

        <h:form id="consultaReportesAuditoriaForm">
            <p:panel header="Consulta Reportes Auditoria">
                <p:spacer height="10" width="0" />


                <h:panelGrid columns="2">
                    <h:outputLabel value="Lista de reporte de Auditoria: "
                                   styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="listaReportesAuditoria" 
                                     value="#{consultaReportesAuditoria.selectReporte}">
                        <f:selectItem itemLabel="Seleccionar..." itemValue="" />
                        <f:selectItems value="#{general.reportesAuditoria}" />
                        <p:ajax update=":consultaReportesAuditoriaForm" 
                                listener="#{consultaReportesAuditoria.seleccionaReporte}"/>
                    </h:selectOneMenu>
                    <p:spacer height="10" width="0" />
                    <p:commandButton value="Generar y ver Reporte" title="Generar y ver Reporte" 
                                     action="#{consultaReportesAuditoria.generarReporte}"
                                     process="@form"
                                     onstart="statusDialog2.show()"
                                     update=":msgsConsultaReportesAuditoria,:consultaReportesAuditoriaForm,:viewReporte:vistaMemoForm"
                                     oncomplete="visorReporteWV.show();statusDialog2.hide()"/>
                </h:panelGrid>
            </p:panel>

            <p:separator style="width:1015px;height:3px" />

            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar" update="msgInfoFis"
                                 icon="ui-icon-circle-close" immediate="true"
                                 action="#{consultaReportesInconsistencias.cerrar}" ajax="false"
                                 onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>

        <misc:visualizadorMemorandosCC id="viewReporte" thisWVName="visorReporteWV"
                                       radicarButtonEnabled="false"
                                       componentsToUpdateOnClose=":consultaReportesAuditoriaForm"
                                       urlDocumento="#{consultaReportesAuditoria.urlArchivoReporte}"
                                       documentoGenerado="#{true}"
                                       fileContent="#{consultaReportesAuditoria.reporteDinamico}"/>

    </ui:define>
</ui:composition>